aside.sidebar{
    z-index: 10000;
    position: fixed;
    top: 0;
    left: 0;
    height: 100svh;
    width: 5svw;
    overflow: hidden;
    background-color: #6190d9;
    box-shadow: 2px 0 10px #0000004a;
    transition: all 150ms ease-out;

    div.head{
        position: relative;
        width: 100%;
        display: flex;
        align-items: center;
    }
    img.logo{
        height: auto;
        width: 4svw;
        padding: 0.5svw;
    }
    form{
        text-wrap: nowrap;
    }
    form input.search{
        border-radius: 1rem;
        padding: 0.5rem;
        margin-left: 2ch;
        outline: none;
        border: none;
        width: 100%;
        transition: all 150ms ease-out;
    }
}
aside.sidebar:hover{
    width: 25svw;
    border-radius: 0;
}
menu{
    list-style-type: none;
    padding: 0;
    margin: 5rem 0;
    width: fit-content;
    overflow: hidden;

    li{
        margin: 2rem 0;
        font-size: 1.5rem;
        text-align: center;

        a{
            color: white;
            text-decoration: none;
            display: flex;
            align-items: baseline;

            i{
                width: 4svw;
                padding: 0.5svw;
            }
            span{
                margin-left: 1ch;
                font-size: 1rem;
                text-wrap: nowrap;
            }
        }
        a:hover{
            opacity: 0.5;
        }

    }
}